# delete\_storage

`imerit_ango.sdk.SDK.`

## delete\_storage(storage\_id)

Remove a storage integration from your organization.

### Parameters

* **storage\_id:** string
  * The unique identifier for the storage. You can retrieve the storage ID using [`get_storages`](/sdk/sdk-documentation/organization-level-sdk-functions/get_storages.md) function.

Returns:

* **output:** dict
  * A dictionary containing the result of the operation.
  * Including a `status` field indicating whether the request was successful and a `data` field containing the response payload with updated resources produced by the operation.

### Example

{% tabs %}
{% tab title="python" %}

```python
import os
from dotenv import load_dotenv
from imerit_ango.sdk import SDK

load_dotenv('variables.env')
api_key = os.getenv('API_KEY')

ango_sdk = SDK(api_key)

storage_id = "<YOUR STORAGE ID>"
ango_sdk.delete_storage(storage_id=storage_id)
```

{% endtab %}

{% tab title="curl" %}

```bash
curl -X DELETE "https://imeritapi.ango.ai/v2/storages/<YOUR STORAGE ID>" \
  -H "Content-Type: application/json" \
  -H "apikey: $ANGO_API_KEY"
```

{% endtab %}
{% endtabs %}

<details>

<summary>Sample Output</summary>

```json
{
    "status": "success",
    "data": {
        "storage": {
            "id": "STORAGE_ID",
            "name": "My Storage",
            "provider": "AWS",
            "s3AccessType": "IAM_USER",
            "createdAt": "2026-01-01T00:00:00.000Z",
            "createdBy": "user@imerit.net",
            "publicKey": "<YOUR PUBLIC KEY>",
            "region": "<YOUR REGION>",
            "useAccelerateEndpoint": false,
            "organization": "ORGANIZATION_ID",
            "deleted": true,
            "_id": "STORAGE_ID"
        }
    }
}
```

</details>

{% hint style="info" %}
**See also**

[get\_storages](/sdk/sdk-documentation/organization-level-sdk-functions/get_storages.md), [create\_storage](/sdk/sdk-documentation/organization-level-sdk-functions/create_storage.md)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.imerit.net/sdk/sdk-documentation/organization-level-sdk-functions/delete_storage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
